ZInputStream
Date: 2015-09-12

com.jcraft.jzlib

## Class ZInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - com.jcraft.jzlib.ZInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

  Deprecated.
  use DeflaterOutputStream or InflaterInputStream

      @Deprecated
      public class ZInputStream
      extends java.io.FilterInputStream

  ZInputStream

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `compress` Deprecated.
    `protected Deflater` | `deflater` Deprecated.
    `protected int` | `flush` Deprecated.
    `protected InflaterInputStream` | `iis` Deprecated.
    `protected java.io.InputStream` | `in` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZInputStream(java.io.InputStream in)` Deprecated.
    `ZInputStream(java.io.InputStream in, boolean nowrap)` Deprecated.
    `ZInputStream(java.io.InputStream in, int level)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `int` | `getFlushMode()` Deprecated.
    `long` | `getTotalIn()` Deprecated.
    `long` | `getTotalOut()` Deprecated.
    `int` | `read()` Deprecated.
    `int` | `read(byte[] b, int off, int len)` Deprecated.
    `void` | `setFlushMode(int flush)` Deprecated.
    `long` | `skip(long n)` Deprecated.

    - ### Methods inherited from class java.io.FilterInputStream

      `available, mark, markSupported, read, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### flush

          protected int flush

      Deprecated.

    - #### compress

          protected boolean compress

      Deprecated.

    - #### in

          protected java.io.InputStream in

      Deprecated.

    - #### deflater

          protected Deflater deflater

      Deprecated.

    - #### iis

          protected InflaterInputStream iis

      Deprecated.

  - ### Constructor Detail

    - #### ZInputStream

          public ZInputStream(java.io.InputStream in)
                       throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### ZInputStream

          public ZInputStream(java.io.InputStream in,
                      boolean nowrap)
                       throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

    - #### ZInputStream

          public ZInputStream(java.io.InputStream in,
                      int level)
                       throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Deprecated.
      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b,
                 int off,
                 int len)
                   throws java.io.IOException

      Deprecated.
      Overrides:
        `read` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### skip

          public long skip(long n)
                    throws java.io.IOException

      Deprecated.
      Overrides:
        `skip` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`

    - #### getFlushMode

          public int getFlushMode()

      Deprecated.

    - #### setFlushMode

          public void setFlushMode(int flush)

      Deprecated.

    - #### getTotalIn

          public long getTotalIn()

      Deprecated.

    - #### getTotalOut

          public long getTotalOut()

      Deprecated.

    - #### close

          public void close()
                     throws java.io.IOException

      Deprecated.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.FilterInputStream`
      Throws:
        `java.io.IOException`